Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 269767 - kde-base/qtruby-3.5.9 failed invalid conversion from 'const char*' to 'char*'
Summary: kde-base/qtruby-3.5.9 failed invalid conversion from 'const char*' to 'char*'
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: x86 Linux
: High major (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: kde-3.5.10
  Show dependency tree
 
Reported: 2009-05-14 01:11 UTC by far jump
Modified: 2009-05-27 21:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description far jump 2009-05-14 01:11:01 UTC
after 1 year I did emerge --sync && emerge --DNu world

Reproducible: Always

Steps to Reproduce:
1. emerge qtruby
2.
3.

Actual Results:  
Qt.cpp: In function 'const char* get_VALUEtype(VALUE)':
Qt.cpp:953: error: invalid conversion from 'const char*' to 'char*'
Qt.cpp: In function 'VALUE method_missing(int, VALUE*, VALUE)':
Qt.cpp:1435: error: invalid conversion from 'const char*' to 'char*'
Qt.cpp:1485: error: invalid conversion from 'const char*' to 'char*'
Qt.cpp: In function 'VALUE class_method_missing(int, VALUE*, VALUE)':
Qt.cpp:1560: error: invalid conversion from 'const char*' to 'char*'
Qt.cpp: In function 'VALUE initialize_qt(int, VALUE*, VALUE)':
Qt.cpp:1677: error: invalid conversion from 'const char*' to 'char*'
Qt.cpp:1677: error:   initializing argument 4 of 'QCString* find_cached_selector(int, VALUE*, VALUE, char*)'
Qt.cpp: In function 'VALUE getmetainfo(VALUE, int&, int&)':
Qt.cpp:1775: error: invalid conversion from 'const char*' to 'char*'
make[5]: *** [Qt.lo] Error 1
make[5]: *** Waiting for unfinished jobs....
make[5]: Leaving directory `/var/tmp/portage/kde-base/qtruby-3.5.9/work/qtruby-3.5.9/qtruby/rubylib/qtruby'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/var/tmp/portage/kde-base/qtruby-3.5.9/work/qtruby-3.5.9/qtruby/rubylib/qtruby'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/kde-base/qtruby-3.5.9/work/qtruby-3.5.9/qtruby/rubylib'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/kde-base/qtruby-3.5.9/work/qtruby-3.5.9/qtruby'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/kde-base/qtruby-3.5.9/work/qtruby-3.5.9'
make: *** [all] Error 2
 *
 * ERROR: kde-base/qtruby-3.5.9 failed.
 * Call stack:
 *               ebuild.sh, line   48:  Called src_compile
 *             environment, line 4420:  Called kde_src_compile 'configure' 'make'
 *             environment, line 3214:  Called die
 * The specific snippet of code:
 *                   emake || die "died running emake, $FUNCNAME:make"
 *  The die message:
 *   died running emake, kde_src_compile:make
Comment 1 far jump 2009-05-14 01:12:04 UTC
>emerge --info
Portage 2.1.6.11 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.20-gentoo-r1 i686)
=================================================================
System uname: Linux-2.6.20-gentoo-r1-i686-Intel-R-_Pentium-R-_III_Mobile_CPU_933MHz-with-glibc2.0
Timestamp of tree: Wed, 13 May 2009 06:30:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.7
dev-lang/python:     2.4.4-r6, 2.5.4-r2
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.4.6-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=pentium3 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O3 -march=pentium3 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://barad-dur/gentoo-portage"
USE="X a52 acl acpi alsa avi berkdb bluetooth branding bzip2 cairo cdr cdrw cli cracklib crypt cups dbus divx4linux dri dts dv dvd dvdr dvdread dvdrw eds emboss encode esd evo fam fame firefox fortran gdbm gif gpm gstreamer gtk hal hpijs iconv imlib ipv6 isdnlog java jpeg kde ldap libnotify live mad matroska midi mikmod mp3 mp4 mpeg mudflap ncurses nls nptl nptlonly ogg oggvorbis opengl openmp pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline realmedia reflection sdl session spell spl ssl startup-notification subtitles svg sysfs tcpd theora tiff truetype unicode usb vidix vorbis win32codecs wmp x86 xanim xine xml xorg xulrunner xv xvid zlib" ALSA_CARDS="trident" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="sis vesa fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

Comment 2 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-27 21:26:50 UTC
already fixed for 3.5.10